The BOOST_PP_SEQ_CAT_S macro concatenates all elements in a seq. It reenters BOOST_PP_SEQ_FOLD_LEFT with maximum efficiency.

#### Usage

BOOST_PP_SEQ_CAT_S(s, seq)

#### Arguments

s
  The next available BOOST_PP_SEQ_FOLD_LEFT fold step.
seq
  The seq whose elements are to be concatenated.

#### Remarks

Elements are concatenated left-to-right starting with index 0.

#### See Also

- BOOST_PP_SEQ_CAT

#### Requirements

Header: <boost/preprocessor/seq/cat.hpp>

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)